# Uses of Class
it.tdlight.jni.TdApi.NetworkType

## Uses of TdApi.NetworkType in it.tdlight.jni

Subclasses of TdApi.NetworkType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.NetworkTypeMobile`
A mobile network.
`static final class`
`TdApi.NetworkTypeMobileRoaming`
A mobile roaming network.
`static final class`
`TdApi.NetworkTypeNone`
The network is not available.
`static final class`
`TdApi.NetworkTypeOther`
A different network type (e.g., Ethernet network).
`static final class`
`TdApi.NetworkTypeWiFi`
A Wi-Fi network.
Fields in it.tdlight.jni declared as TdApi.NetworkType
Modifier and Type
Field
Description
`TdApi.NetworkType`
TdApi.NetworkStatisticsEntryCall.`networkType`
Type of the network the data was sent through.
`TdApi.NetworkType`
TdApi.NetworkStatisticsEntryFile.`networkType`
Type of the network the data was sent through.
`TdApi.NetworkType`
TdApi.SetAutoDownloadSettings.`type`
Type of the network for which the new settings are relevant.
`TdApi.NetworkType`
TdApi.SetNetworkType.`type`
The new network type; pass null to set network type to networkTypeOther.
Constructors in it.tdlight.jni with parameters of type TdApi.NetworkType
Modifier
Constructor
Description
``
`NetworkStatisticsEntryCall(TdApi.NetworkType networkType, long sentBytes, long receivedBytes, double duration)`
Contains information about the total amount of data that was used for calls.
``
`NetworkStatisticsEntryFile(TdApi.FileType fileType, TdApi.NetworkType networkType, long sentBytes, long receivedBytes)`
Contains information about the total amount of data that was used to send and receive files.
``
`SetAutoDownloadSettings(TdApi.AutoDownloadSettings settings, TdApi.NetworkType type)`
Sets auto-download settings.
``
`SetNetworkType(TdApi.NetworkType type)`
Sets the current network type.